# Image to Video

## How to Generate videos using the Infron AI API <a href="#how-to-generate-images-using-the-fal-api" id="how-to-generate-images-using-the-fal-api"></a>

{% tabs %}
{% tab title="Curl" %}

<pre class="language-sh"><code class="lang-sh">curl https://video.onerouter.pro/v1/videos/generations \
<strong>    -H "Content-Type: application/json" \
</strong>    -H "Authorization: &#x3C;API_KEY>" \
    -d '{
    "model": "sora-2-pro-image-to-video",
    "prompt": "A cute baby sea otter",
    "image_url": "https://resource.onerouter.pro/image/generated%2Fonerouter_fe4771ae-d67c-41bb-a366-b07f1411ae06.png"
    "output_format": "url"
  }'
</code></pre>

{% endtab %}
{% endtabs %}

* `https://image.onerouter.pro/v1/images/generations` is the base URL
* `<API_KEY>` is your API Key generated in [API page](https://app.onerouter.pro/apiKeys).
* `model` is the model name, such as `sora-2-pro-image-to-video`, available model list can be access in [Model page](https://app.onerouter.pro/models).
* `prompt`  is the text prompt describing the video you want to generatep.
* `image_url` is the URL of the image to use as the first frame
* `output_format` indicate the output format, default value is `url`.
  * `url`

You can find more models and their descriptions in the [Model page](https://app.onerouter.pro/models).

***

## **Example response**

```json
{
    "data": [
        {
            "url": "https://resource.onerouter.pro/video/generated%2Fonerouter_3bde5366-81ec-4625-ba18-d4df678d589e.mp4",
            "revised_prompt": "",
            "video_id": "video_68fc8c1a362481988ad9551ce2393a810750888f71db29fb"
        }
    ],
    "created": 1761381533
}
```
